Page MenuHomePhabricator

PictureGame admin panel: Pressing delete or reinstate should ask for confirmation before performing the action
Closed, ResolvedPublic

Description

After clicking one of these, it'll automatically do whatever action you pressed. They're quite close and thus, easy to accidentally click one of them. Deleting is also a destructive action and reinstating say, an inappropriate-submitted picture game isn't wanted, so it should ask for the person to confirm and acknowledge what kind of action they're performing before it's actually performed.

Details

Related Gerrit Patches:

Event Timeline

SamanthaNguyen moved this task from Backlog to Feature Request on the PictureGame board.
SamanthaNguyen updated the task description. (Show Details)
Filip claimed this task.Jan 16 2017, 9:01 PM
Filip added a comment.Jan 19 2017, 7:03 PM

@SamanthaNguyen: Only T155324 needs review, and will implement this code here.

I'll try to review the patch later today, I currently don't have access to my laptop right now

@FilipGCI - have access now but only for a little bit since I'm busy :) Check out out my comments on the patch

Filip added a comment.EditedJan 20 2017, 5:41 PM

@SamanthaNguyen : T155324 is resolved - will implement this here now.

Change 333283 had a related patch set uploaded (by Filip):
Added confirmation dialogs to 'Un-flag' and 'Delete' actions in admin panel

https://gerrit.wikimedia.org/r/333283

Change 333283 merged by jenkins-bot:
Added confirmation dialogs to 'Un-flag' and 'Delete' actions in admin panel

https://gerrit.wikimedia.org/r/333283

SamanthaNguyen closed this task as Resolved.Jan 21 2017, 6:33 PM
SamanthaNguyen removed a project: Patch-For-Review.